export default {
  common: {
    home: 'Home',
    tools: 'Tools',
    categories: 'Categories',
    search: 'Search',
    clear: 'Clear',
    copy: 'Copy',
    copied: 'Copied',
    paste: 'Paste',
    save: 'Save',
    load: 'Load',
    download: 'Download',
    upload: 'Upload',
    format: 'Format',
    compress: 'Compress',
    expand: 'Expand',
    validate: 'Validate',
    convert: 'Convert',
    generate: 'Generate',
    example: 'Example',
    history: 'History',
    favorites: 'Favorites',
    settings: 'Settings',
    about: 'About',
    close: 'Close',
    cancel: 'Cancel',
    confirm: 'Confirm',
    delete: 'Delete',
    edit: 'Edit',
    back: 'Back',
    next: 'Next',
    previous: 'Previous',
    loading: 'Loading...',
    error: 'Error',
    success: 'Success',
    warning: 'Warning',
    info: 'Info',
    placeholder: 'Please enter content...',
    noData: 'No data',
    retry: 'Retry',
    refresh: 'Refresh',
    reset: 'Reset',
    submit: 'Submit'
  },
  categories: {
    all: 'All',
    common: 'Common',
    json: 'JSON',
    encoding: 'Encoding',
    network: 'Network',
    datetime: 'DateTime',
    code: 'Code',
    text: 'Text',
    image: 'Image',
    frontend: 'Frontend',
    file: 'File'
  },
  tools: {
    json_formatter: {
      title: 'JSON Formatter',
      description: 'JSON formatting, beautification, compression and validation tool',
      placeholder_input: 'Please enter JSON content...',
      placeholder_output: 'Formatted result will be displayed here...',
      format: 'Format',
      compress: 'Compress',
      validate: 'Validate',
      clear: 'Clear',
      copy: 'Copy Result',
      example: 'Load Example',
      json_valid: 'JSON is valid',
      json_invalid: 'JSON is invalid',
      large_json_processed: 'Large JSON file processed ({size}KB)',
      processing: 'Processing...',
      cancel: 'Cancel Processing'
    },
    timestamp_converter: {
      title: 'Timestamp Converter',
      description: 'Timestamp and datetime conversion tool',
      current_timestamp: 'Current Timestamp',
      timestamp_to_date: 'Timestamp to Date',
      date_to_timestamp: 'Date to Timestamp',
      timestamp_placeholder: 'Please enter timestamp...',
      date_placeholder: 'Select date time...',
      convert: 'Convert',
      copy_timestamp: 'Copy Timestamp',
      copy_date: 'Copy Date'
    },
    encoding_converter: {
      title: 'Encoding Converter',
      description: 'Base64, URL encoding, Unicode and other encoding conversion tools',
      input_placeholder: 'Please enter content to encode/decode...',
      output_placeholder: 'Conversion result will be displayed here...',
      base64_encode: 'Base64 Encode',
      base64_decode: 'Base64 Decode',
      url_encode: 'URL Encode',
      url_decode: 'URL Decode',
      unicode_encode: 'Unicode Encode',
      unicode_decode: 'Unicode Decode'
    },
    chrome_bookmark_recovery: {
      title: 'Chrome Bookmarks Recovery Tool',
      description: 'Recover your lost Chrome bookmarks from local backup files or Google server',
      
      // 标签页
      windows: 'Windows',
      mac: 'Mac',
      linux: 'Linux',
      google: 'Google Server',
      
      // 文件上传区域
      fileUpload: {
        title: 'Choose a file or drag it here',
        dragHint: 'Drag Chrome bookmark files here',
        chooseFile: 'Choose file',
        dropHint: 'Search with the keyword of "Bookmarks" and select all the files found.',
        loading: 'Loading...',
        ready: 'Download ready',
        downloaded: 'Downloaded',
        error: 'Error! The file is invalid. Try again!',
        bookmarksFound: 'bookmarks found'
      },
      
      // 操作系统说明
      instructions: {
        windows: {
          title: 'Here is how to recover your lost bookmarks (Windows):',
          steps: [
            'Copy C:\\Users\\%username%\\AppData\\Local\\Google\\Chrome\\User Data into File Explorer.',
            'In search bar, type Bookmarks, you will see a list of files named Bookmarks and/or Bookmarks.bak. (Note: If there is more than one user using the same Chrome, bookmarks from other users will be listed too)',
            'Select all the files with mouse and drag them to the block below.',
            'Download all the HTML files.',
            'Open each HTML file with Chrome and determine the HTML file that contains your bookmarks. (Note: The largest file is most likely the correct one)',
            'In your Chrome browser, click the Chrome menu icon and go to Bookmarks > Bookmark Manager.',
            'Click the menu icon beside search bar and click "Import Bookmarks".',
            'Select the HTML file that contains your bookmarks.',
            'Your bookmarks should now be imported back to Chrome.'
          ]
        },
        mac: {
          title: 'Here is how to recover your lost bookmarks (Mac):',
          steps: [
            'In the Mac menu bar at the top of the screen, click Go.',
            'Select Go to Folder.',
            'Type ~/Library/Application Support/Google/Chrome and click Go.',
            'In search bar, type Bookmarks, you will see a list of files named Bookmarks and/or Bookmarks.bak. (Note: If there is more than one user using the same Chrome, bookmarks from other users will be listed too)',
            'Select all the files with mouse and drag them to the block below.',
            'Download all the HTML files.',
            'Open each HTML file with Chrome and determine the HTML file that contains your bookmarks. (Note: The largest file is most likely the correct one)',
            'In your Chrome browser, click the Chrome menu icon and go to Bookmarks > Bookmark Manager.',
            'Click the menu icon beside search bar and click "Import Bookmarks".',
            'Select the HTML file that contains your bookmarks.',
            'Your bookmarks should now be imported back to Chrome.'
          ]
        },
        linux: {
          title: 'Here is how to recover your lost bookmarks (Linux):',
          steps: [
            'Open your file explorer (Nautilus, Dolphin ...).',
            'Go to ~/.config/google-chrome (Use Ctrl+L on Nautilus).',
            'Search for Bookmarks*, you will see a list of files named Bookmarks and/or Bookmarks.bak. (Note: If there is more than one user using the same Chrome, bookmarks from other users will be listed too)',
            'Select all the files with mouse and drag them to the block below.',
            'Download all the HTML files.',
            'Open each HTML file with Chrome and determine the HTML file that contains your bookmarks. (Note: The largest file is most likely the correct one)',
            'In your Chrome browser, click the Chrome menu icon and go to Bookmarks > Bookmark Manager.',
            'Click the menu icon beside search bar and click "Import Bookmarks".',
            'Select the HTML file that contains your bookmarks.',
            'Your bookmarks should now be imported back to Chrome.'
          ]
        },
        google: {
          title: 'If you are sure that Chrome sync data stored in Google server still have your bookmarks, here is how to retrieve them from Google server:',
          steps: [
            'Go to Google Takeout and sign in to the Google Account used for Chrome Sync.',
            'Click the "Select None" button.',
            'Check "Chrome" in product list.',
            'Expand "All Chrome data types".',
            'Click the "Select Chrome data" option.',
            'In the popup, check the "Bookmarks" option and uncheck the rest.',
            'Scroll down to the bottom of the page and click "Next" button.',
            'Click the "Create archive" button.',
            'Download and unzip the archive.',
            'In the unzipped folder, navigate to "Chrome" folder. The HTML file named "Bookmarks" is the one we need.',
            'In your Chrome browser, click the Chrome menu icon and go to Bookmarks > Bookmark Manager.',
            'Click the menu icon beside search bar and click "Import Bookmarks".',
            'Select the HTML file that contains your bookmarks.',
            'Your bookmarks should now be imported back to Chrome.'
          ]
        }
      },
      
      // 其他恢复方式
      otherMethods: {
        title: 'Other ways to recover bookmarks',
        personalBackup: {
          title: 'Personal backup',
          content: 'In the case when backups of your computer are available, find the bookmarks files in the backups, upload them to this tool and continue with the steps above.'
        },
        oldDevices: {
          title: 'Recover from old devices',
          content: 'Do you have a device (e.g: old laptop) that is signed in to your Google Account and it hasn\'t been synced since the moment your bookmarks were lost? If so, find the files in this device, upload them to this tool and continue with the steps above.'
        },
        tipsAndTricks: {
          title: 'Tips and tricks',
          content: 'You can use this tool or Export Bookmarks function in Bookmark Manager to generate HTML file that can be used as archive/backup of your bookmarks. Regularly making backup is useful in case your bookmarks get lost again in the future.'
        }
      },
      
      disclaimer: 'Disclaimer: this is not an official Google product.'
    }
  }
} 